id: powerbi-report-server-detect

info:
  name: PowerBI Report Server - Detect
  author: righettod
  severity: info
  description: |
    PowerBI Report Server was detected.
  reference:
    - https://www.microsoft.com/en-us/power-platform/products/power-bi/report-server
  metadata:
    max-request: 1
    verified: true
    shodan-query: http.html:"report server web portal"
  tags: panel,powerbi,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/reports/api/v2.0/System"
      - "{{BaseURL}}/reports/browse"

    stop-at-first-match: true
    redirects: true
    max-redirects: 2
    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "power bi report server", "powerbireportserver", "<title>report server web portal</title>")'
        condition: and

    extractors:
      - type: json
        part: body
        name: version
        json:
          - '.ProductVersion'
# digest: 4a0a0047304502210098e673ba206e99a3f9383f4ccadc608b18387745e57efad5a2be23ce1f60eb83022014e5043503860fd8fbfdcffd940738007d26ad434113b5ef583d39b5cce9e0a3:922c64590222798bb761d5b6d8e72950